image: node:latest

stages:
  - deploy

deploy:
  stage: deploy
  tags:
    - docker
  script:
    - echo "//${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}">.npmrc
    - cat .npmrc
    - npm publish
  environment: production
